## com.baidubce.services.lss.model
Class Video

    java.lang.Object
      com.baidubce.services.lss.model.Video

    public class Video

extends Object

Constructor Summary
`Video()`

Method Summary
`Integer` `getBitRateInBps()` 视频目标码率
`String` `getCodec()` 视频编码信息集合(H.264)
`CodecOptions` `getCodecOptions()` 视频编码的配置选项
`Float` `getMaxFrameRate()` 目标视频最大帧率
`Integer` `getMaxHeightInPixel()` 目标视频的最大高度
`Integer` `getMaxWidthInPixel()` 目标视频最大帧率
`String` `getSizingPolicy()` 尺寸伸缩策略
`void` `setBitRateInBps(Integer bitRateInBps)`
`void` `setCodec(String codec)`
`void` `setCodecOptions(CodecOptions codecOptions)`
`void` `setMaxFrameRate(Float maxFrameRate)`
`void` `setMaxHeightInPixel(Integer maxHeight)`
`void` `setMaxWidthInPixel(Integer maxWidth)`
`void` `setSizingPolicy(String sizingPolicy)`
`String` `toString()`
`Video` `withBitRateInBps(Integer bitRateInBps)`
`Video` `withCodec(String codec)`
`Video` `withCodecOptions(CodecOptions codecOptions)`
`Video` `withMaxFrameRate(Float maxFrameRate)`
`Video` `withMaxHeightInPixel(Integer maxHeight)`
`Video` `withMaxWidthInPixel(Integer maxWidth)`
`Video` `withSizingPolicy(String sizingPolicy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Video

    public Video()

Method Detail

### getCodec

    public String getCodec()

  视频编码信息集合(H.264)

### setCodec

    public void setCodec(String codec)

### withCodec

    public Video withCodec(String codec)

### getCodecOptions

    public CodecOptions getCodecOptions()

  视频编码的配置选项

### setCodecOptions

    public void setCodecOptions(CodecOptions codecOptions)

### withCodecOptions

    public Video withCodecOptions(CodecOptions codecOptions)

### getBitRateInBps

    public Integer getBitRateInBps()

  视频目标码率

### setBitRateInBps

    public void setBitRateInBps(Integer bitRateInBps)

### withBitRateInBps

    public Video withBitRateInBps(Integer bitRateInBps)

### getMaxFrameRate

    public Float getMaxFrameRate()

  目标视频最大帧率

### setMaxFrameRate

    public void setMaxFrameRate(Float maxFrameRate)

### withMaxFrameRate

    public Video withMaxFrameRate(Float maxFrameRate)

### getMaxWidthInPixel

    public Integer getMaxWidthInPixel()

  目标视频最大帧率

### setMaxWidthInPixel

    public void setMaxWidthInPixel(Integer maxWidth)

### withMaxWidthInPixel

    public Video withMaxWidthInPixel(Integer maxWidth)

### getMaxHeightInPixel

    public Integer getMaxHeightInPixel()

  目标视频的最大高度

### setMaxHeightInPixel

    public void setMaxHeightInPixel(Integer maxHeight)

### withMaxHeightInPixel

    public Video withMaxHeightInPixel(Integer maxHeight)

### getSizingPolicy

    public String getSizingPolicy()

  尺寸伸缩策略

### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

### withSizingPolicy

    public Video withSizingPolicy(String sizingPolicy)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.